using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Syncfusion.SfDataGrid;
using Android.Graphics;
using Syncfusion.Data;

namespace SampleDemo
{
    public class CustomGridCell1:GridCell 
    {
        private Paint paintText, paintText1;
        public CustomGridCell1(Context ctxt)
            : base(ctxt)
        {
            paintText = new Paint(PaintFlags.AntiAlias | PaintFlags.LinearText);
            paintText.Color = Android.Graphics.Color.Orange;
            
            paintText1 = new Paint(PaintFlags.AntiAlias | PaintFlags.LinearText);
            paintText1.Color = Android.Graphics.Color.Pink;

        }

        protected override void OnDraw(Canvas canvas)
        {
            base.OnDraw(canvas);
            if (this.DataColumn != null && DataColumn.CellValue != null)
            {
                if ((int)this.DataColumn.CellValue < 0)
                {
                    paintText.TextSize = 48; //Device dependent pixels
                    canvas.DrawText(this.DataColumn.FormattedCellvalue.ToString(), 100, 100, paintText);
                }
                else
                {
                    paintText1.TextSize = 48; //Device dependent pixels
                    canvas.DrawText(this.DataColumn.FormattedCellvalue.ToString(), 100, 100, paintText1);
                }
            }
           
        }
    }
}